# fish completion for scrotty         -*- shell-script -*-

complete --command scrotty --description 'Pattern for the filenames of saved images.' --no-files --arguments " '%Y-%m-%d_%H:%M:%S_$wx$h.$i.png' '%Y-%m-%d_%H:%M:%S.$i.png'"
complete --command scrotty --description 'Print program name and version.' --short-option v --long-option version
complete --command scrotty --description 'Print copyright information.' --short-option c --long-option copyright
complete --command scrotty --description 'Select framebuffer device.' --no-files --short-option d --long-option device
complete --command scrotty --description 'Command to run for each saved image.' --no-files --short-option e --long-option exec
